#include <stdio.h>
#include <string.h>
#include <algorithm>
#include <vector>
#include <map>

using namespace std;

typedef struct tfila
{
    int a,b;
} tfila;

#define MAX 128
#define LEN 512
int P[MAX],N,Q,A,t;
char foi[2*LEN][2*LEN];
tfila fila[2*LEN*2*LEN];

inline int calc(int a, int b)
{
    return(max(0,a-Q)+max(0,b-Q)+max(0,(t-a-b)-Q));
}

int main(void)
{
    int i,j,k,resp;

    scanf("%d%d%d",&N,&Q,&A);
    for(i = t = 0; i < N; i++)
    {
        scanf("%d",P+i);
        t += P[i];
    }

    if (t > 6*Q)
    {
        printf("%d.%02d\n",((t-3*Q)*A)/100,((t-3*Q)*A)%100);
        return(0);
    }

    fila[0].a = fila[0].b = 0;
    k = 1;
    resp = calc(0,0);
    for(i = 0; i < N; i++)
    {
        int atual = k;
        for(j = 0; j < atual; j++)
        {
            int a,b;
            
            a = min(fila[j].a+P[i],fila[j].b);
            b = max(fila[j].a+P[i],fila[j].b);
            if (b <= 2*Q && !foi[a][b])
            {
                foi[a][b] = 1;
                resp = min(resp,calc(a,b));
                fila[k].a = a;
                fila[k].b = b;
                k++;
            }
            
            a = min(fila[j].a,fila[j].b+P[i]);
            b = max(fila[j].a,fila[j].b+P[i]);
            if (b <= 2*Q && !foi[a][b])
            {
                foi[a][b] = 1;
                resp = min(resp,calc(a,b));
                fila[k].a = a;
                fila[k].b = b;
                k++;
            }
        }
    }

    printf("%d.%02d\n",(resp*A)/100,(resp*A)%100);

    return(0);
}

